<template>
  <div>
    
    <header class="header-area">
      <h1>
        <div class="nth-line-1" v-if="data[0]">
        {{data[0].title}}
        </div>
      </h1>
    </header>
    <article>
      <div class="profile"></div>
      <section v-if="data[0]">
        <p>
          {{data[0].intro}}
        </p>
        <h2>{{data[0].sous_titre_1}}</h2>
        <p>
          {{data[0].paragraphe_1}}
        </p>
        <blockquote>
          In critical moments, men sometimes see exactly what they wish to see
        </blockquote>
        <h2>{{data[0].sous_titre_2}}</h2>
        <p>
          {{data[0].paragraphe_2}}
        </p>
        <p>
          {{data[0].paragraphe_3}}
        </p>

        <p>
          {{data[0].paragraphe_4}}
        </p>

        <img alt="" src="../assets/Mr-Spock.jpg" /><img
          alt="Tank"
          src="../assets/Nimoy-3.jpg"
        />

        <h2>{{data[0].sous_titre_3}}</h2>
        <p>
          {{data[0].paragraphe_5}}
        </p>
      </section>
    </article>
  </div>
</template>

<script>
export default {
  name: "root",
  metaInfo: {
      title: 'Biographie Leonard Nimoy',
      htmlAttrs: {
        lang: 'fr',
        amp: true
      }
    },
  data() {
    return {
      data: {}
    }
  },
  beforeMount(){
    this.getBio();
  },
  methods: {
    async getBio(){
      const res = await fetch('http://127.0.0.1:8000/api/bio');
      const data = await res.json();
      this.data = data;
      console.log (this.data)
    }
  }

};
</script>

<style>
@import url(https://fonts.googleapis.com/css?family=Old+Standard+TT:400|Lora:400);


header {
  text-align: right;
  margin-top:0;
  padding: 0 1em;
  font-family: "Old Standard TT", serif;
}

h1 {
  margin-top:0;
  font-family: "Old Standard TT", serif;
  color: #1da2f1;
  text-transform: uppercase;
  font-weight: 400;
}
h2 {
  color: #1da2f1;
}

.nth-line-1 {
  font-size: 15vw;
}
@media (min-width: 55em) {

  .nth-line-1 {
    font-size: 5vw;
    margin-right: 24px;
  }
 
}

@media (max-width: 800px) {
 .nth-line-1 {
   text-align: center;
 }
  
}

.profile {
  background: url("../assets/Nimoy.jpg") center 20%;
  height: 35vh;
  background-size: cover;
}
@media (min-width: 55em) {
  .profile {
    width: 50%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}
@media (min-width: 80em) {
  .profile {
    width: 50%;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}

article {
  color: #ccc;
  font: 400 1em/1.5 "Lora", serif;
}

@media (min-width: 55em) {
  article {
    margin-left: 40%;
    position: relative;
    max-width: 66em;
    font: 400 1em/1.5 "Lora", serif;
  }
}
@media (min-width: 80em) {
  article {
    margin-left: 50%;
    font: 400 1em/1.5 "Lora", serif;
  }
}
@media all and (max-width: 1297px) {
  article {
    margin-left: 53%;
    position: relative;
    max-width: 66em;
    font: 400 1em/1.5 "Lora", serif;
  } 
}
@media all and (max-width: 885px) {
  article {
    margin-left: 0;
    position: relative;
    max-width: 66em;
    font: 400 1em/1.5 "Lora", serif;
  }
  
}

@media all and (max-width: 500px) {
  article p {
    margin-top: 25px;
  } 
}
section {
  -webkit-column-width: 14em;
  -moz-column-width: 14em;
  column-width: 14em;
  -webkit-column-gap: 1.33em;
  -moz-column-gap: 1.33em;
  column-gap: 1.33em;
  padding: 0 1em;
}
@media (min-width: 55em) {
  section {
    padding: 0 3em;
  }
}

section p:first-of-type:first-letter {
  color: #1da2f1;
  float: left;
  font-size: 4em;
  line-height: 1;
  margin-top: 0.1em;
  margin-right: 0.1em;
  font: 400 "Lora", serif;
}

img {
  max-width: 100%;
}

blockquote {
  border-left: 0.2em solid #1da2f1;
  font: 400 1em/1.33 "Lora", serif;
  font-size: 1.953125em;
  padding: 0.1em 0.5em;
  line-height: 1.5;
  margin-left: 0;
  margin-right: 0;
  quotes: "“" "”" "‘" "’";
}
blockquote::before,
blockquote::after {
  color: #1da2f1;
  font-size: 1.25em;
  line-height: 0;
}
blockquote::before {
  content: open-quote;
}
blockquote::after {
  content: close-quote;
}
@media (min-width: 55em) {
  blockquote {
    position: absolute;
    right: 100%;
    top: 80vh;
    width: 9em;
    background: #191919;
  }
}
</style>
